<?php $data = [
	'Signature'=>['signature','signature'],
	'File Signature'=>['file_signature','file_signature'],
	'Date Created'=>['created','created'],
	'Filename'=>['filename','filename'],
	'Filesize'=>['filesize','filesize'],
	'Dimensions'=>['height','dimensions'],
	'Duplicate'=>['duplicate','duplicatecheckbox'],
	'Flagged'=>['flag','flagcheckbox'],
	'Ignore Duplicate'=>['ignore','ignorecheckbox'],
	'Delete'=>['remove','removecheckbox'],
];?>

<div class="card card-widget">
	<div class="card-header">
		<div class="user-block">
			<i class="fas fa-2x fa-camera float-left"></i><span class="username"><a href="{{ url('p/info',$o->id) }}">#{{ $o->id }} - {{ Str::limit($o->filename,12).Str::substr($o->filename,-16) }}</a></span>
			<span class="description">{{ $o->created ? $o->created->toDateTimeString() : '-' }} @if($o->device)[{{ $o->device }}]@else <small><strong>[No Device Info]</strong></small> @endif</span>
		</div>

		<div class="card-tools">
			<button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fa fa-minus"></i></button>
			<button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fa fa-times"></i></button>
		</div>
	</div>

	<div class="card-body">
		<x-thumbnail :id="$o->id"/>
	</div>

	<div class="card-footer card-comments">
		<table class="table table-sm table-striped">
			<tr><th>ID</th><td><x-info :id="$o->id"/></td></tr>

			@foreach($data as $k=>$v)
				<tr @class(['bg-success'=>($reference->exists && $reference->{$v[1]} === $o->{$v[1]})])>
					<th>{{$k}}</th>
					<td>{!! $o->{$v[1]} !!}</td>
				</tr>
			@endforeach
		</table>
	</div>
</div>