<table class="table table-light">
	<thead>
	<tr>
		<th class="w-50">Remove</th>
		<th class="w-50">Source</th>
	</tr>
	</thead>

	<!-- Remember what we have rendered -->
	@php($rendered = collect())

	<tbody>
	@foreach ($catalog as $o)
		@continue($rendered->search($o))
		@php($rendered->push($o))

		<tr>
			<td>
				<input type="hidden" name="items[]" value="{{ $o->id }}">
				@include($o::config.'.widgets.thumbnail',['o'=>$o,'reference'=>$o->newInstance()])
			</td>

			@if (! ($d=$o->myduplicates()->get())->count())
				<td>
					No other duplicates found?
				</td>
				@continue

			@else
				@foreach($d as $item)
					@continue($rendered->search($item))
					@php($rendered->push($item))
					<td>
						<input type="hidden" name="items[]" value="{{ $item->id }}">
						@include($item::config.'.widgets.thumbnail',['o'=>$item,'reference'=>$o])
					</td>
				@endforeach
			@endif
		</tr>
	@endforeach
	</tbody>
</table>